libximc: sync_out_settings_t Struct Reference

libximc 3.0.2

Data Fields
sync_out_settings_t Struct Reference

Synchronization settings. More...

`#include <ximc.h>`

## Data Fields
unsigned int | SyncOutFlags
| Flags of synchronization output.
unsigned int | SyncOutPulseSteps
| This value specifies the duration of output pulse.
unsigned int | SyncOutPeriod
| This value specifies the number of encoder pulses or steps between two output synchronization pulses when SYNCOUT_ONPERIOD is set.
unsigned int | Accuracy
| This is the neighborhood around the target coordinates, every point in which is treated as the target position.
unsigned int | uAccuracy
| This is the neighborhood around the target coordinates in microsteps (used with a stepper motor only).

## Detailed Description

Synchronization settings.

This structure contains all synchronization settings, modes, periods and flags. It specifies the behavior of the output synchronization. All boards are supplied with the standard set of these settings.

See also
  get_sync_out_settings
  set_sync_out_settings
  get_sync_out_settings, set_sync_out_settings

## Field Documentation

## ◆ Accuracy

unsigned int Accuracy

This is the neighborhood around the target coordinates, every point in which is treated as the target position.

Getting in these points cause the stop impulse.

## ◆ SyncOutFlags

unsigned int SyncOutFlags

Flags of synchronization output.

## ◆ SyncOutPeriod

unsigned int SyncOutPeriod

This value specifies the number of encoder pulses or steps between two output synchronization pulses when SYNCOUT_ONPERIOD is set.

## ◆ SyncOutPulseSteps

unsigned int SyncOutPulseSteps

This value specifies the duration of output pulse.

It is measured microseconds when SYNCOUT_IN_STEPS flag is cleared or in encoder pulses or motor steps when SYNCOUT_IN_STEPS is set.

## ◆ uAccuracy

unsigned int uAccuracy

This is the neighborhood around the target coordinates in microsteps (used with a stepper motor only).

The microstep size and the range of valid values for this field depend on the selected step division mode (see the MicrostepMode field in engine_settings).